--- lib/jxl_threads.cmake.orig	2023-12-23 01:33:41
+++ lib/jxl_threads.cmake	2024-01-03 05:10:32
@@ -13,6 +13,7 @@
 set_property(TARGET jxl_threads PROPERTY POSITION_INDEPENDENT_CODE ON)
 
 target_include_directories(jxl_threads
+  BEFORE
   PRIVATE
     "${PROJECT_SOURCE_DIR}"
   PUBLIC
--- lib/jxl_extras.cmake.orig	2023-12-23 01:33:41
+++ lib/jxl_extras.cmake	2024-01-03 04:29:55
@@ -37,7 +37,7 @@
 
 find_package(GIF 5.1)
 if(GIF_FOUND)
-  target_include_directories(jxl_extras_core-obj PRIVATE "${GIF_INCLUDE_DIRS}")
+  target_include_directories(jxl_extras_core-obj BEFORE PRIVATE "${GIF_INCLUDE_DIRS}")
   target_compile_definitions(jxl_extras_core-obj PRIVATE -DJPEGXL_ENABLE_GIF=1)
   list(APPEND JXL_EXTRAS_CODEC_INTERNAL_LIBRARIES ${GIF_LIBRARIES})
   if(JPEGXL_DEP_LICENSE_DIR)
@@ -118,10 +118,12 @@
   target_compile_options("${LIB}" PRIVATE "${JPEGXL_INTERNAL_FLAGS}")
   target_compile_definitions("${LIB}" PRIVATE -DJXL_EXPORT=)
   set_property(TARGET "${LIB}" PROPERTY POSITION_INDEPENDENT_CODE ON)
-  target_include_directories("${LIB}" PRIVATE
+  target_include_directories("${LIB}" BEFORE PRIVATE
     ${PROJECT_SOURCE_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}/include
     ${CMAKE_CURRENT_BINARY_DIR}/include
+  )
+  target_include_directories("${LIB}" SYSTEM PRIVATE
     ${JXL_HWY_INCLUDE_DIRS}
   )
 endforeach()
--- lib/jxl.cmake.orig	2023-12-23 01:33:41
+++ lib/jxl.cmake	2024-01-03 04:54:54
@@ -80,11 +80,13 @@
 endforeach()
 
 add_library(jxl_base INTERFACE)
-target_include_directories(jxl_base SYSTEM INTERFACE
+target_include_directories(jxl_base BEFORE INTERFACE
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>"
 )
-target_include_directories(jxl_base INTERFACE
+target_include_directories(jxl_base BEFORE INTERFACE
   ${PROJECT_SOURCE_DIR}
+)
+target_include_directories(jxl_base SYSTEM INTERFACE
   ${JXL_HWY_INCLUDE_DIRS}
 )
 add_dependencies(jxl_base jxl_export)
@@ -94,8 +96,10 @@
 target_compile_options(jxl_dec-obj PRIVATE ${JPEGXL_INTERNAL_FLAGS})
 target_compile_options(jxl_dec-obj PUBLIC ${JPEGXL_COVERAGE_FLAGS})
 set_property(TARGET jxl_dec-obj PROPERTY POSITION_INDEPENDENT_CODE ON)
-target_include_directories(jxl_dec-obj PUBLIC
+target_include_directories(jxl_dec-obj BEFORE PUBLIC
   "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>"
+)
+target_include_directories(jxl_dec-obj SYSTEM PUBLIC
   "${JXL_HWY_INCLUDE_DIRS}"
   "$<BUILD_INTERFACE:$<TARGET_PROPERTY:brotlicommon,INTERFACE_INCLUDE_DIRECTORIES>>"
 )
@@ -109,8 +113,10 @@
 target_compile_options(jxl_enc-obj PRIVATE ${JPEGXL_INTERNAL_FLAGS})
 target_compile_options(jxl_enc-obj PUBLIC ${JPEGXL_COVERAGE_FLAGS})
 set_property(TARGET jxl_enc-obj PROPERTY POSITION_INDEPENDENT_CODE ON)
-target_include_directories(jxl_enc-obj PUBLIC
+target_include_directories(jxl_enc-obj BEFORE PUBLIC
   ${PROJECT_SOURCE_DIR}
+)
+target_include_directories(jxl_enc-obj SYSTEM PUBLIC
   ${JXL_HWY_INCLUDE_DIRS}
   $<TARGET_PROPERTY:brotlicommon,INTERFACE_INCLUDE_DIRECTORIES>
 )
@@ -162,7 +168,7 @@
   jxl_cms
   jxl_base
 )
-target_include_directories(jxl-internal PUBLIC
+target_include_directories(jxl-internal BEFORE PUBLIC
   "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>")
 
 target_compile_definitions(jxl-internal INTERFACE -DJXL_STATIC_DEFINE)
--- lib/jxl_cms.cmake.orig	2023-12-23 01:33:41
+++ lib/jxl_cms.cmake	2024-01-03 04:39:16
@@ -14,13 +14,13 @@
 target_compile_options(jxl_cms PRIVATE "${JPEGXL_INTERNAL_FLAGS}")
 set_target_properties(jxl_cms PROPERTIES POSITION_INDEPENDENT_CODE ON)
 target_link_libraries(jxl_cms PUBLIC jxl_base)
-target_include_directories(jxl_cms PRIVATE
+target_include_directories(jxl_cms SYSTEM PRIVATE
   ${JXL_HWY_INCLUDE_DIRS}
 )
 generate_export_header(jxl_cms
   BASE_NAME JXL_CMS
   EXPORT_FILE_NAME include/jxl/jxl_cms_export.h)
-target_include_directories(jxl_cms PUBLIC
+target_include_directories(jxl_cms BEFORE PUBLIC
   "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>")
 
 set(JXL_CMS_PK_LIBS "")
